Subject: Re: a small patch to the gcc preprocessor
From: Fergus Henderson <[email-masked]>
To: Chris Moller <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Aug 1999 06:29:01 +1000

On 24-Aug-1999, Chris Moller <[email-masked]> wrote:
> I've attached a small patch to src/gcc/cccp.c that gives the
> preprocessor a new directive `#cinclude'.  #cinclude -- "conditional
> include" -- includes the specified file if it exists but doesn't cause
> an error if the file doesn't exist.  Syntax is the same as the #include
> directive.

You should send that to the gcc list, not to the Cygwin list.

> I've also included a patch to the Changelog.

You should also document the change in the gcc TexInfo documentation.

The change shoudl also ensure that uses of `#cinclude' result in a warning
if `-pedantic' is specified.

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.

--
Want to unsubscribe from this list?
Send a message to [email-masked]